@ECHO OFF
CLS
ECHO This batch file will patch the SVGACC graphics library to the current
ECHO    release, version 2.6. See the file "README.NOW" for complete
ECHO    patch instructions as well as a list of the bugs fixed.
ECHO.   
ECHO It should *ONLY* be applied to the following versions:
ECHO    (registered versions of SVGACC) - v2.3c through v2.5a
ECHO    (shareware versions of SVGACC) - None. Download SVGACC26.ZIP
ECHO.
ECHO If you have *ANY* other version, *DO NOT APPLY THIS PATCH*. Please
ECHO    contact us for upgrade information.    
ECHO.    
ECHO This patch requires the Microsoft Library manager (LIB.EXE) to be in 
ECHO    the path or in the current working directory. 
ECHO. 
ECHO This patch also requires that the library file "SVGACC.LIB" to be in
ECHO    the current directory.
ECHO. 
ECHO Hit CTRL-C *NOW* to abort the patch if the above conditions are not true.
ECHO. 
PAUSE
ECHO.   
ECHO. 
IF EXIST SVGACC.LIB GOTO DOIT
ECHO.   
ECHO ERROR: Unable to find the file "SVGACC.LIB". Make sure this patch is run in the
ECHO    same directory as "SVGACC.LIB" file.
ECHO.   
GOTO ERROR

:DOIT
IF EXIST SVGACC.LRF GOTO PATCHIT
ECHO.   
ECHO ERROR: Unable to find the file "SVGACC.LRF". Check the patch archive.
ECHO.   
GOTO ERROR

:PATCHIT
COPY SVGACC.LIB SVGACC.BKL > NUL
LIB @SVGACC.LRF
IF NOT ERRORLEVEL 1 GOTO ALLOK
ECHO.   
ECHO ERROR: Some problem with the call to the LIB.EXE program. If you are
ECHO    unable to correct it, please contact us (see the file "README.NOW"
ECHO    complete details and contact information).
GOTO ERROR

:ERROR
ECHO Patch was *NOT* installed.
ECHO Batch file terminated.
GOTO ENDPATCH

:ALLOK
ECHO.
ECHO Patch applied correctly!
ECHO.
ECHO No errors. A backup copy of your original "SVGACC.LIB" file was created
ECHO    as "SVGACC.BKL".
GOTO ENDPATCH

:ENDPATCH
ECHO.   

